summaryrefslogtreecommitdiff
path: root/test/integration/targets/filters
diff options
context:
space:
mode:
authorAndrea Tartaglia <me@andreatartaglia.com>2017-07-07 22:11:53 +0100
committerMatt Clay <matt@mystile.com>2017-07-07 14:11:53 -0700
commit0d48732e7e226041ee3a3a5dc1b4fb1ed8ec2aa3 (patch)
tree0924235a44978dc9857170be8fd0e05e63ef528e /test/integration/targets/filters
parent294c0f91c079267acb48927663dd2bacca3d88cb (diff)
downloadansible-0d48732e7e226041ee3a3a5dc1b4fb1ed8ec2aa3.tar.gz
Integration tests requirements (#26545)
* Removed pexpect and jmespath requirement, install it in task directly * Removed passlib dependency
Diffstat (limited to 'test/integration/targets/filters')
-rw-r--r--test/integration/targets/filters/filters.yml4
-rwxr-xr-xtest/integration/targets/filters/runme.sh9
2 files changed, 13 insertions, 0 deletions
diff --git a/test/integration/targets/filters/filters.yml b/test/integration/targets/filters/filters.yml
new file mode 100644
index 0000000000..81b9592b51
--- /dev/null
+++ b/test/integration/targets/filters/filters.yml
@@ -0,0 +1,4 @@
+- hosts: testhost
+ gather_facts: yes
+ roles:
+ - { role: filters }
diff --git a/test/integration/targets/filters/runme.sh b/test/integration/targets/filters/runme.sh
new file mode 100755
index 0000000000..c3a63730e3
--- /dev/null
+++ b/test/integration/targets/filters/runme.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -eux
+
+# Requirements have to be installed prior to running ansible-playbook
+# because plugins and requirements are loaded before the task runs
+pip install jmespath
+
+ANSIBLE_ROLES_PATH=../ ansible-playbook filters.yml -i ../../inventory -e @../../integration_config.yml "$@"